## perdition 0.1.9-4

=== debian/changelog ===
perdition (0.1.9-4) unstable; urgency=low

  * Recompile against libpgsql2 instead of libpgsql2.1

 -- Simon Horman <horms@vergenet.net>  Tue,  5 Mar 2002 02:21:47 +1100

perdition (0.1.9-3) unstable; urgency=low

  *  Compile against openldap2. closes: Bug#129843
  *  Minor spelling errors. closes: Bug#125229 closes: Bug#125228
      closes: Bug#12522 closes: Bug#12522

 -- Simon Horman <horms@vergenet.net>  Sat, 19 Jan 2002 11:11:58 +1100

perdition (0.1.9-2) unstable; urgency=low

  * Build against libpgsql2.1. closes: Bug#104503

  * Requires vanessa_socket >= 0.0.3. closes: Bug#104095

 -- Simon Horman <horms@vergenet.net>  Tue, 24 Jul 2001 14:58:12 -0700

perdition (0.1.9-1) unstable; urgency=low

  * Fixed gramatical error in control file. closes: Bug#99764.

  * Moved from main/mail to non-US/main/mail becase PostgreSQL
    is in non-US. closes: Bug#97121

  * Changed build dependancy libmysqlclient6-dev | libmysqlclient10-dev 
    to libmysqlclient10-dev | libmysqlclient6-dev as libmysqlclient6-dev
    is no longer in debian unstable. closes: Bug#102325

  * Added build dependancy for libtool. closes: Bug#102325

  * Changed build dependancy libopenldap-dev | libldap2-dev to
    libldap2-dev | libopenldap-dev as libopenldap-dev is
    not in debian unstable. closes: Bug#102710

 -- Simon Horman <horms@vergenet.net>  Fri, 29 Jun 2001 13:39:34 +1000

perdition (0.1.8-1) unstable; urgency=low

  * Linking problems resolved for libperditiondb-mysql,
    libperditiondb-postgresql and libperditiondb-ldap

 -- Simon Horman <horms@vergenet.net>  Wed, 18 Apr 2001 15:41:40 -0700

perdition (0.1.7-3) unstable; urgency=low

  * Merged db packages into main package

 -- Simon Horman <horms@vergenet.net>  Wed, 18 Apr 2001 12:43:34 -0700

perdition (0.1.7-2) unstable; urgency=low

  * Fixed dependancies for db packages

 -- Simon Horman <horms@vergenet.net>  Fri, 06 Apr 2001 11:15:15 -0700

perdition (0.1.7-1) unstable; urgency=low

  * A release.

 -- Simon Horman <horms@vergenet.net>  Wed, 04 Apr 2001 12:38:12 -0700

Local variables:
mode: debian-changelog
End:
eoch
