=== debian/control ===
Source: perdition
Build-Depends: libvanessa-logger-dev (>= 0.0.2), libvanessa-adt-dev (>= 0.0.2), libvanessa-socket-dev (>= 0.0.3), libpopt-dev, libpam0g-dev, libmysqlclient10-dev | libmysqlclient6-dev, postgresql-dev, libgdbmg1-dev, libldap2-dev | libopenldap-dev, debhelper, zlib1g-dev, libssl-dev | libssl09-dev, libtool, automake
Section: non-US
Priority: optional
Maintainer: Simon Horman <horms@vergenet.net>
Standards-Version: 3.5.2

Package: perdition-ldap
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${Source-Version})
Description: Library to allow perdition to access LDAP based pop maps.
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database to be sourced from LDAP.

Package: perdition-mysql
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${Source-Version})
Description: Library to allow perdition to access MySQL based pop maps.
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a MySQL database.

Package: perdition-postgresql
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${Source-Version})
Description: Library to allow perdition to access PostgreSQL based pop maps.
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a PostgreSQL database.

Package: perdition-dev
Architecture: any
Depends: perdition (= ${Source-Version}), libvanessa-logger-dev (>= 0.0.2), libvanessa-adt-dev (>= 0.0.2), libvanessa-socket-dev (>= 0.0.3), libc6-dev
Description: Development libraries and headers for perdition
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 provides headers and libraries that may be useful in the development
 of perditiondb libraries.

Package: perdition
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libvanessa-socket0 (<= 0.0.2), libvanessa-adt0 (<= 0.0.1), libvanessa-logger0 (<= 0.0.1)
Description: POP3 and IMAP4 Proxy server
 Perdition allows users to connect to a content-free POP3 or IMAP4
 server that will redirect them to their real POP3 or IMAP4 server. This
 enables mail retrieval for a domain to be split across multiple backend
 servers on a per user basis. This can also be used to as a POP3 or IMAP4
 proxy especially in firewall applications. Perdition supports arbitrary
 library based map access to determine the server for a user. POSIX
 Regular Expression, GDBM, MySQL, PostgreSQL and LDAP libraries ship with
 the distribution.
