## perdition 1.19~rc4

=== debian/changelog ===
perdition (1.19~rc4-4) unstable; urgency=low

  * Move local changes into patches
    (closes: 643242)

 -- Simon Horman <horms@debian.org>  Wed, 28 Sep 2011 09:45:13 +0900

perdition (1.19~rc4-3) unstable; urgency=low

  * Handle IPv6 address literals in --bind-address
    - Upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/06e0c2cdb64f
  * managesieve: Fix handling of long authentication hashes
    - Upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/6544c58ec144
    - (closes: 630499)

 -- Simon Horman <horms@debian.org>  Wed, 15 Jun 2011 08:25:44 +0900

perdition (1.19~rc4-2) unstable; urgency=low

  * Clean up use of 4/8 byte types on architectures such as amd64
    where ssize_t and long are 8 bytes white but int is only 4 bytes wide.
    - Fix possible premature connection closure.
    - Fix possible stack corruption in odbc module.
    - Critical portions of upstream patch
      http://hg.vergenet.net/perdition/perdition/rev/57268f4aaa94
    - (closes: 59791)

 -- Simon Horman <horms@debian.org>  Mon, 27 Sep 2010 23:30:21 +0900

perdition (1.19~rc4-1) unstable; urgency=low

  * New Upstream
  * There is a typo in the changelog for 1.19~rc3-2
    "libvanessa-logger-dev (>= 0.0.12)" should be
    "libvanessa-socket-dev (>= 0.0.12)".

 -- Simon Horman <horms@debian.org>  Mon, 13 Sep 2010 16:11:20 +0900

perdition (1.19~rc3-2) unstable; urgency=low

  * BuildDepend on libvanessa-logger-dev (>= 0.0.12) instead of (>= 0.0.10).
    (closes: #592459)
  * Update standards version from 3.9.0 to 3.9.1

 -- Simon Horman <horms@debian.org>  Tue, 17 Aug 2010 15:45:31 +0900

perdition (1.19~rc3-1) unstable; urgency=low

  * New upstream

 -- Simon Horman <horms@debian.org>  Thu, 29 Jul 2010 15:55:26 +0900

perdition (1.19~rc2-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Sat, 10 Jul 2010 09:29:08 +0900

perdition (1.19~rc1-1) unstable; urgency=low

  * New Upstream
    - Separate pop_capability and imap_capability configuration parameters
      (closes: #564164)
    - Use "." as the delimiter for pop_capability
      (closes: #564164)

 -- Simon Horman <horms@debian.org>  Tue, 06 Jul 2010 09:54:24 +0900

perdition (1.18-2) unstable; urgency=low

  * Don't check for pid files after starting daemons in init script.
    They legitimately may not exist yet.
  * ssl: honour timeout during setup
    (closes: #561885)

 -- Simon Horman <horms@debian.org>  Wed, 23 Dec 2009 16:23:20 +1100

perdition (1.18-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Fri, 27 Nov 2009 11:07:43 +1100

perdition (1.18~rc3-1) unstable; urgency=low

  * New Upstream

 -- Simon Horman <horms@debian.org>  Sun, 18 Oct 2009 12:19:20 +1100

perdition (1.18~rc2-1) unstable; urgency=low

  * don't call make from perdition prerm script
    - make may not be installed
    - unnecessary clean up of user-generated files
  * Fix ldap module return values
    (closes: #548054)

 -- Simon Horman <horms@debian.org>  Thu, 24 Sep 2009 17:03:42 +1000

perdition (1.18~rc1-2) unstable; urgency=low

  * Update build dependency on libvanessa-socket-dev to 0.0.8.
    - Perdition 1.18~rc1 requires symbols that are new in
      vanessa-socket 0.0.8.
    (closes: #544876)

 -- Simon Horman <horms@debian.org>  Thu, 03 Sep 2009 23:38:19 +1000

perdition (1.18~rc1-1) unstable; urgency=low

  * New Upstream
    - Pass include '\0' in the length passed to yp_match() in the NIS module
      Thanks to Robert Edmonds
      (closes: #412151)
    - Use ca_path and ca_file for incoming connections
      Thanks to Sven Hartge
      (closes: #380390)
    - Fix buffer overflow in options logging code that caused
      perdition to segfault on start-up if the ssl_mode string
      supplied was greater than 26 characters long.
      Thanks to Laurent Licour <laurent@licour.com> for the fix.
      (closes: #395408)
    - Refer to libperditiondb_postgresql.so.0 in POSTGRESQL of perditiondb(5)
      (closes: #507414)
    - Don't accept STARTTLS command in imap4 mode if it hasn't been
      enabled in the configuration.
      (closes: #500554)
    - Process subjectAltName fields
      (closes: #513461)
    - Support ldap v3
      (closes: #473570)
    - Support ldaps
      (closes: #477159)

 -- Simon Horman <horms@debian.org>  Thu, 03 Sep 2009 22:39:24 +1000

perdition (1.17.1-1) unstable; urgency=high

  * New Upstream
    - Verify that tag read from end-users is valid
      + CVE-2007-5740
        The format string protection mechanism in IMAPD for Perdition Mail
        Retrieval Proxy 1.17 and earlier allows remote attackers to execute
        arbitrary code via an IMAP tag with a null byte followed by a format
        string specifier, which is not counted by the mechanism.
    - Merged in all changes made between 1.17-1 and 1.17-8 inclusive

 -- Simon Horman <horms@debian.org>  Wed, 31 Oct 2007 11:44:22 +0900

perdition (1.17-8) unstable; urgency=low

  * Change build-dependancy from libdb4.3-dev to libdb-dev,
    which currently depends on libdb4.6-dev. This is to allow
    libdb4.3 to be removed from the archive.
    (closes: #442663)

 -- Simon Horman <horms@debian.org>  Wed, 19 Sep 2007 11:30:32 +0900

perdition (1.17-7) unstable; urgency=low

  * Remove the unneccesary Build-Depends on automake as part of
    automake transition. http://wiki.debian.org/AutomakeTransition
    (closes: #376643)
  * Fix documentation of map_library. Thanks to Anand Kumria.
    (closes: #354527)
  * Add suggests perdition-ldap, perdition-mysql, perdition-odbc,
    perdition-postgresql to perdition
  * Update from standards version 3.6.1 to 3.7.2

 -- Simon Horman <horms@debian.org>  Tue,  4 Jul 2006 15:31:02 +0900

perdition (1.17-5) unstable; urgency=low

  * Rebuild, as i386 upload was missing depenancies on vanessa libraries.
    This was caused by a ~/.magic in the build environment that had very
    unexpected side affects. Primarily causing file to return "data"

