=== debian/control ===
Source: perdition
Build-Depends: libvanessa-logger-dev (>= 0.0.10), libvanessa-adt-dev (>= 0.0.6), libvanessa-socket-dev (>= 0.0.12), libpopt-dev, libpam0g-dev, libmysqlclient-dev, libpq-dev, libgdbm-dev, libldap2-dev, debhelper (>= 7.0.0), zlib1g-dev, libssl-dev, unixodbc-dev, libdb-dev, libcdb-dev, libidn11-dev
Section: mail
Priority: optional
Maintainer: Simon Horman <horms@debian.org>
Standards-Version: 3.9.1

Package: perdition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvanessa-socket2 (>= 0.0.12)
Conflicts: perdition-bdb
Replaces: perdition-bdb
Provides: perdition-bdb
Suggests: perdition-ldap, perdition-mysql, perdition-odbc, perdition-postgresql
Description: POP3 and IMAP4 Proxy server
 Perdition allows users to connect to a content-free POP3 or IMAP4
 server that will redirect them to their real POP3 or IMAP4 server. This
 enables mail retrieval for a domain to be split across multiple backend
 servers on a per user basis. This can also be used to as a POP3 or IMAP4
 proxy especially in firewall applications. Perdition supports arbitrary
 library based map access to determine the server for a user. POSIX
 Regular Expression, GDBM, Berkeley DB, MySQL, PostgreSQL, ODBC and LDAP 
 libraries ship with the distribution.

Package: perdition-ldap
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${binary:Version}), ${misc:Depends}
Description: Library to allow perdition to access LDAP based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database to be sourced from LDAP

Package: perdition-mysql
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${binary:Version}), ${misc:Depends}
Description: Library to allow perdition to access MySQL based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a MySQL database.

Package: perdition-odbc
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${binary:Version}), ${misc:Depends}
Description: Library to allow perdition to access ODBC based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a database accessed via ODBC.

Package: perdition-postgresql
Architecture: any
Depends: ${shlibs:Depends}, perdition (= ${binary:Version}), ${misc:Depends}
Description: Library to allow perdition to access PostgreSQL based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a PostgreSQL database.
