=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-export DH_COMPAT=2
-
 pwd:=$(shell pwd)
-cfg:=--prefix=/usr --sysconfdir=/etc --with-group=nogroup --mandir=/usr/share/man
+cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-group=nogroup --mandir=/usr/share/man --with-ldap-schema-directory=no --disable-ldap-doc --enable-shared
 
 build: checkbuild build-stamp
 build-stamp:
@@ -23,27 +21,34 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp build.log
 
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) \
 	  DESTDIR=$(pwd)/debian/tmp \
   	  install
 
-	./mkinstalldirs $(pwd)/debian/tmp/etc/init.d
+	mkdir -p $(pwd)/debian/tmp/etc/init.d
+	chmod 755 $(pwd)/debian/tmp/etc/init.d
 	install -c -m 755 etc/rc.d/init.d/perdition.debian \
 	  $(pwd)/debian/tmp/etc/init.d/perdition
 
-	./mkinstalldirs $(pwd)/debian/tmp/usr/share/doc/perdition
+	mkdir -p $(pwd)/debian/tmp/etc/default
+	chmod 755 $(pwd)/debian/tmp/etc/default
+	install -c -m 644 etc/sysconfig/perdition \
+	  $(pwd)/debian/tmp/etc/default/perdition
+
+	mkdir -p $(pwd)/debian/tmp/usr/share/doc/perdition
+	chmod 755 $(pwd)/debian/tmp/usr/share/doc/perdition
 	install -c -m 644 perdition/db/nis/README.perditiondb_nis \
 	  $(pwd)/debian/tmp/usr/share/doc/perdition/README.perditiondb_nis
 	gzip --best \
@@ -54,12 +59,15 @@
 	install -c -m 644 ChangeLog \
 	  $(pwd)/debian/tmp/usr/share/doc/perdition/changelog
 	gzip --best $(pwd)/debian/tmp/usr/share/doc/perdition/changelog
-	install -c -m 644 CODING_LOCATIONS \
-	  $(pwd)/debian/tmp/usr/share/doc/perdition/CODING_LOCATIONS
-	gzip --best $(pwd)/debian/tmp/usr/share/doc/perdition/CODING_LOCATIONS
 	install -c -m 644 TODO \
 	  $(pwd)/debian/tmp/usr/share/doc/perdition/TODO
 	gzip --best $(pwd)/debian/tmp/usr/share/doc/perdition/TODO
+
+	mkdir -p $(pwd)/debian/tmp/usr/share/doc/perdition-ldap
+	install -c -m 644 perdition/db/ldap/perdition.schema \
+	  $(pwd)/debian/tmp/usr/share/doc/perdition-ldap/perdition.schema
+	gzip --best \
+	  $(pwd)/debian/tmp/usr/share/doc/perdition-ldap/perdition.schema
 
 	dh_movefiles --source=debian/tmp
 
@@ -76,7 +84,7 @@
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -L perdition -l debian/perdition/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
