## perdition 1.19~rc5

=== debian/changelog ===
perdition (1.19~rc5-1) unstable; urgency=low

  * Use hardened build flags
    (closes: #655412)
  * Fix segmentation fault in strcasestr()
    (closes: #660735)
  * Added homepage to control file
    (closes: #594026)
  * Do not include .la files from binary packages
    (closes: #633184)
  * Set package format to 3.0 (quilt)

 -- Simon Horman <horms@debian.org>  Tue, 20 Mar 2012 18:41:34 +0900
