## perdition 2.0

=== debian/changelog ===
perdition (2.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 31 Jan 2014 13:30:20 -0500

perdition (2.0-1) unstable; urgency=low

  * New upstream release

 -- Simon Horman <horms@debian.org>  Fri, 04 Oct 2013 10:52:35 +0900
