=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: perdition
-Build-Depends: libvanessa-logger-dev (>= 0.0.10), libvanessa-adt-dev (>= 0.0.6), libvanessa-socket-dev (>= 0.0.12), libpopt-dev, libpam0g-dev, libmysqlclient-dev, libpq-dev, libgdbm-dev, libldap2-dev, debhelper (>= 7.0.0), zlib1g-dev, libssl-dev, unixodbc-dev, libdb-dev, libcdb-dev, libidn11-dev
+Build-Depends: libvanessa-logger-dev (>= 0.0.10), libvanessa-adt-dev (>= 0.0.6), libvanessa-socket-dev (>= 0.0.12), libpopt-dev, libpam0g-dev, libmysqlclient-dev, libpq-dev, libgdbm-dev, libldap2-dev, debhelper (>= 7.0.0), zlib1g-dev, libssl-dev, unixodbc-dev, libdb-dev, libcdb-dev, libidn11-dev, dh-autoreconf
 Section: mail
 Priority: optional
-Maintainer: Simon Horman <horms@debian.org>
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon Horman <horms@debian.org>
+Standards-Version: 3.9.3
+Homepage: http://horms.net/projects/perdition/
 
 Package: perdition
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libvanessa-socket2 (>= 0.0.12)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvanessa-socket2 (>= 0.0.12), lsb-base (>= 3.2-14)
 Conflicts: perdition-bdb
 Replaces: perdition-bdb
 Provides: perdition-bdb
