=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,16 @@
 pwd:=$(shell pwd)
 cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-group=nogroup --mandir=/usr/share/man --with-ldap-schema-directory=no --disable-ldap-doc --enable-shared
 
-build: checkbuild build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
-	./configure $(cfg)
+	dh_autoreconf
+	./configure $(shell dpkg-buildflags --export=configure) $(cfg)
 	# Lame libtool workaround that lintian seems keen on
 	sed < libtool > libtool-2 \
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
@@ -25,6 +31,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -91,8 +98,4 @@
 
 binary: binary-indep binary-arch
 
-checkbuild:
-	chmod u+x ./debian/dpkg-checkbuild
-	./debian/dpkg-checkbuild debian/control
-
 .PHONY: build clean binary-indep binary-arch binary install checkbuild
