## perdition 2.1

=== debian/changelog ===
perdition (2.1-2build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:49:50 +0000

perdition (2.1-2) unstable; urgency=medium

  * Add missing call to dh_autoreconf

 -- Simon Horman <horms@debian.org>  Thu, 11 Sep 2014 11:53:38 +0900

perdition (2.1-1) unstable; urgency=low

  * New Upstream Release
    (closes: #751430)
  * Fix for CVE-2013-4584

    Perdition fails to apply the administrator's specified ciphersuite
    preferences when making outbound connections to IMAP and POP servers
    using STARTTLS.  For these outbound connections, it applies the
    administrator's listening ciphersuite preferences, which in many cases
    may be significantly weaker.

    This is not a critical vulnerability (it can be mitigated, for example,
    by enforcing a strict minimalist ciphersuite on the backend server),
    but in the absence of any such mitigation, it may cause the connections
    between the proxy server and the backend server to negotiate a weaker
    ciphersuite than the administrator's stated intent.

    (closes: #729028)
  * Versioned build dependency on dpkg-dev (>=1.16.1)
    (closes: #680086)
  * Use 1.0 as Managesieve version
    (closes: #726175)
  * Use autoreconf
    (closes: #737666)
  * Harden build flags
  * Build verbosely
  * Update standards version to 3.9.5

 -- Simon Horman <horms@debian.org>  Sun, 01 Dec 2013 17:10:57 +0900
