=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: perdition
-Build-Depends: libvanessa-logger-dev (>= 0.0.10), libvanessa-adt-dev (>= 0.0.6), libvanessa-socket-dev (>= 0.0.12), libpopt-dev, libpam0g-dev, libmysqlclient-dev, libpq-dev, libgdbm-dev, libldap2-dev, debhelper (>= 7.0.0), zlib1g-dev, libssl-dev, unixodbc-dev, libdb-dev, libcdb-dev, libidn11-dev, dh-autoreconf
+Build-Depends: libvanessa-logger-dev (>= 0.0.10), libvanessa-adt-dev (>= 0.0.6), libvanessa-socket-dev (>= 0.0.12), libpopt-dev, libpam0g-dev, libmysqlclient-dev, libpq-dev, libgdbm-dev, libldap2-dev, debhelper (>= 7.0.0), zlib1g-dev, libssl-dev, unixodbc-dev, libdb-dev, libcdb-dev, libidn11-dev, dpkg-dev (>=1.16.1), dh-autoreconf
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon Horman <horms@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Simon Horman <horms@debian.org>
+Standards-Version: 3.9.5
 Homepage: http://horms.net/projects/perdition/
 
 Package: perdition
