## perdition 2.2

=== debian/changelog ===
perdition (2.2-4) unstable; urgency=medium

  * Team upload.
  * Maintain package in Salvage team
    Closes: #1115816
  * debhelper 13
  * d/rules: short dh
  * Add systemd service
    Closes: #1039311
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Use secure URI in Homepage field.
  * Add watch file

 -- Andreas Tille <tille@debian.org>  Sun, 12 Oct 2025 15:37:01 +0200

perdition (2.2-3.4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Drop hardcoded library dependency.  (Closes: #1068419)
  * Update (Build-)Depends on transitional packages.
  * The ldconfig trigger is already generated by debhelper.
  * Whitespace cleanup.

  [ Michael Hudson-Doyle ]
  * d/patches/remove-strcasestr.patch: remove implementation of strcasestr
    that conflicts with that provided by glibc.  (Closes: #1067403)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2024 17:31:08 +0200

perdition (2.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libnsl-dev to Build-Depends (Closes: #1065109, #1066417)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Mar 2024 00:15:52 +0100

perdition (2.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add exit code true after invoke-rc.d in the files below (Closes: #999659).
    Thanks to Sergey Spiridonov.
    - perdition-ldap.postinst
    - perdition-ldap.prerm
    - perdition-mysql.postinst
    - perdition-mysql.prerm
    - perdition-odbc.postinst
    - perdition-odbc.prerm
    - perdition-postgresql.postinst
    - perdition-postgresql.prerm
    - perdition.postinst
    - perdition.preinst
    - perdition.prerm

 -- Marcos Talau <marcos@talau.info>  Thu, 31 Mar 2022 22:39:14 -0300

perdition (2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing include (Closes: #889289)

  [ Helmut Grohne ]
  * Address FTCBFS: Let dh_auto_configure pass --host to ./configure. (Closes:
    #929978)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 13:11:02 +0200

perdition (2.2-3) unstable; urgency=high

  * Correct syntax of ldconfig trigger
    (closes: #http://bugs.debian.org/847214)

 -- Simon Horman <horms@debian.org>  Tue, 06 Dec 2016 17:08:39 +0100

perdition (2.2-2) unstable; urgency=medium

  * Switch to build depend on the metapackage default-libmysqlclient-dev
    (closes: #845889)
  * Update from standards version 3.9.6 to 3.9.8
  * Update from compat level 7 to 9

 -- Simon Horman <horms@debian.org>  Mon, 28 Nov 2016 09:56:25 +0100

perdition (2.2-1) unstable; urgency=medium

  * New Upstream
  * Add support for forward secrecy
    (closes: #765867)
  * Make builds reproducible
    (closes: #787998)
  * Allow compilation against OpenSSL 1.1
    (closes: #828494)
  * Update standards version to 3.9.6

 -- Simon Horman <horms@debian.org>  Tue, 01 Nov 2016 10:49:21 +0100
