=== debian/control ===
Source: perdition
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Simon Horman <horms@debian.org>,
Section: mail
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libvanessa-logger-dev,
 libvanessa-adt-dev,
 libvanessa-socket-dev,
 libpopt-dev,
 libpam0g-dev,
 default-libmysqlclient-dev,
 libpq-dev,
 libgdbm-dev,
 libldap2-dev,
 zlib1g-dev,
 libssl-dev,
 unixodbc-dev,
 libdb-dev,
 libcdb-dev,
 libidn-dev,
 libnsl-dev,
Vcs-Browser: https://salsa.debian.org/salvage-team/perdition
Vcs-Git: https://salsa.debian.org/salvage-team/perdition.git
Homepage: https://horms.net/projects/perdition/

Package: perdition
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 perdition-ldap,
 perdition-mysql,
 perdition-odbc,
 perdition-postgresql,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 perdition-bdb,
Provides:
 perdition-bdb,
Replaces:
 perdition-bdb,
Description: POP3 and IMAP4 Proxy server
 Perdition allows users to connect to a content-free POP3 or IMAP4
 server that will redirect them to their real POP3 or IMAP4 server. This
 enables mail retrieval for a domain to be split across multiple backend
 servers on a per user basis. This can also be used to as a POP3 or IMAP4
 proxy especially in firewall applications. Perdition supports arbitrary
 library based map access to determine the server for a user. POSIX
 Regular Expression, GDBM, Berkeley DB, MySQL, PostgreSQL, ODBC and LDAP
 libraries ship with the distribution.

Package: perdition-ldap
Architecture: any
Depends:
 ${shlibs:Depends},
 perdition (= ${binary:Version}),
 ${misc:Depends},
Description: Library to allow perdition to access LDAP based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database to be sourced from LDAP

Package: perdition-mysql
Architecture: any
Depends:
 ${shlibs:Depends},
 perdition (= ${binary:Version}),
 ${misc:Depends},
Description: Library to allow perdition to access MySQL based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a MySQL database.

Package: perdition-odbc
Architecture: any
Depends:
 ${shlibs:Depends},
 perdition (= ${binary:Version}),
 ${misc:Depends},
Description: Library to allow perdition to access ODBC based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a database accessed via ODBC.

Package: perdition-postgresql
Architecture: any
Depends:
 ${shlibs:Depends},
 perdition (= ${binary:Version}),
 ${misc:Depends},
Description: Library to allow perdition to access PostgreSQL based popmaps
 Perdition allows for arbitrary user database access through
 shared libraries much in the manner of NSS in glibc. This package
 allows a user database stored in a PostgreSQL database.
