=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

pwd:=$(shell pwd)
cfg:= --with-group=nogroup --with-ldap-schema-directory=no --disable-ldap-doc --enable-shared
pkg:=perdition

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(cfg)
	# Lame libtool workaround that lintian seems keen on
	sed < libtool > libtool-2 \
		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_install:
	dh_install
	mkdir -p $(pwd)/debian/$(pkg)/etc/init.d
	chmod 755 $(pwd)/debian/$(pkg)/etc/init.d
	install -c -m 755 etc/rc.d/init.d/perdition.debian \
	  $(pwd)/debian/$(pkg)/etc/init.d/perdition

override_dh_installman:
	dh_installman
	mv debian/tmp/usr/share/man/man8/perdition.[i-p]*8	debian/$(pkg)/usr/share/man/man8/

override_dh_shlibdeps:
	dh_shlibdeps -L perdition -l debian/perdition/usr/lib
