=== debian/watch ===
Version: 5

Source: https://projects.horms.net/projects/perdition/download/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@\.tar\.xz
